From: "Davide Pesavento" <pesa@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/qt:master commit in: dev-qt/qtwayland/
Date: Fri, 16 May 2014 23:42:17 +0000 (UTC) [thread overview]
Message-ID: <1400283736.294785ead65c5debc18335e7f5a381dc4264f25f.pesa@gentoo> (raw)
commit: 294785ead65c5debc18335e7f5a381dc4264f25f
Author: Davide Pesavento <pesa <AT> gentoo <DOT> org>
AuthorDate: Fri May 16 23:42:16 2014 +0000
Commit: Davide Pesavento <pesa <AT> gentoo <DOT> org>
CommitDate: Fri May 16 23:42:16 2014 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/qt.git;a=commit;h=294785ea
[dev-qt/qtwayland] Add egl and xcomposite USE flags.
Package-Manager: portage-2.2.10
---
dev-qt/qtwayland/metadata.xml | 1 +
dev-qt/qtwayland/qtwayland-5.3.9999.ebuild | 17 ++++++++++++++---
dev-qt/qtwayland/qtwayland-5.9999.ebuild | 17 ++++++++++++++---
3 files changed, 29 insertions(+), 6 deletions(-)
diff --git a/dev-qt/qtwayland/metadata.xml b/dev-qt/qtwayland/metadata.xml
index f5fa5ab..6596561 100644
--- a/dev-qt/qtwayland/metadata.xml
+++ b/dev-qt/qtwayland/metadata.xml
@@ -3,6 +3,7 @@
<pkgmetadata>
<herd>qt</herd>
<use>
+ <flag name="egl">Use EGL instead of GLX to manage OpenGL contexts</flag>
<flag name="qml">Build QML/QtQuick bindings</flag>
<flag name="wayland-compositor">Build Qt compositor for wayland</flag>
</use>
diff --git a/dev-qt/qtwayland/qtwayland-5.3.9999.ebuild b/dev-qt/qtwayland/qtwayland-5.3.9999.ebuild
index f61b2a6..fae9358 100644
--- a/dev-qt/qtwayland/qtwayland-5.3.9999.ebuild
+++ b/dev-qt/qtwayland/qtwayland-5.3.9999.ebuild
@@ -6,7 +6,7 @@ EAPI=5
inherit qt5-build
-DESCRIPTION="Wayland plugin for Qt"
+DESCRIPTION="Wayland platform plugin for Qt"
HOMEPAGE="http://qt-project.org/wiki/QtWayland"
if [[ ${QT5_BUILD_TYPE} == live ]]; then
@@ -15,13 +15,19 @@ else
KEYWORDS="~amd64"
fi
-IUSE="qml wayland-compositor"
+IUSE="egl qml wayland-compositor xcomposite"
DEPEND="
>=dev-libs/wayland-1.3.0
>=dev-qt/qtcore-${PV}:5[debug=]
- >=dev-qt/qtgui-${PV}:5[debug=,opengl]
+ >=dev-qt/qtgui-${PV}:5[debug=,egl=,opengl]
+ media-libs/mesa[egl?]
+ >=x11-libs/libxkbcommon-0.2.0
qml? ( >=dev-qt/qtdeclarative-${PV}:5[debug=] )
+ xcomposite? (
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ )
"
RDEPEND="${DEPEND}"
@@ -29,5 +35,10 @@ src_configure() {
if use wayland-compositor; then
echo "CONFIG += wayland-compositor" >> "${QT5_BUILD_DIR}"/.qmake.cache
fi
+
+ if ! use xcomposite; then
+ echo "CONFIG += done_config_xcomposite" >> "${QT5_BUILD_DIR}"/.qmake.cache
+ fi
+
qt5-build_src_configure
}
diff --git a/dev-qt/qtwayland/qtwayland-5.9999.ebuild b/dev-qt/qtwayland/qtwayland-5.9999.ebuild
index f61b2a6..fae9358 100644
--- a/dev-qt/qtwayland/qtwayland-5.9999.ebuild
+++ b/dev-qt/qtwayland/qtwayland-5.9999.ebuild
@@ -6,7 +6,7 @@ EAPI=5
inherit qt5-build
-DESCRIPTION="Wayland plugin for Qt"
+DESCRIPTION="Wayland platform plugin for Qt"
HOMEPAGE="http://qt-project.org/wiki/QtWayland"
if [[ ${QT5_BUILD_TYPE} == live ]]; then
@@ -15,13 +15,19 @@ else
KEYWORDS="~amd64"
fi
-IUSE="qml wayland-compositor"
+IUSE="egl qml wayland-compositor xcomposite"
DEPEND="
>=dev-libs/wayland-1.3.0
>=dev-qt/qtcore-${PV}:5[debug=]
- >=dev-qt/qtgui-${PV}:5[debug=,opengl]
+ >=dev-qt/qtgui-${PV}:5[debug=,egl=,opengl]
+ media-libs/mesa[egl?]
+ >=x11-libs/libxkbcommon-0.2.0
qml? ( >=dev-qt/qtdeclarative-${PV}:5[debug=] )
+ xcomposite? (
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ )
"
RDEPEND="${DEPEND}"
@@ -29,5 +35,10 @@ src_configure() {
if use wayland-compositor; then
echo "CONFIG += wayland-compositor" >> "${QT5_BUILD_DIR}"/.qmake.cache
fi
+
+ if ! use xcomposite; then
+ echo "CONFIG += done_config_xcomposite" >> "${QT5_BUILD_DIR}"/.qmake.cache
+ fi
+
qt5-build_src_configure
}
next reply other threads:[~2014-05-16 23:42 UTC|newest]
Thread overview: 49+ messages / expand[flat|nested] mbox.gz Atom feed top
2014-05-16 23:42 Davide Pesavento [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-02-05 20:53 [gentoo-commits] proj/qt:master commit in: dev-qt/qtwayland/ Andreas Sturmlechner
2023-12-30 14:03 Andreas Sturmlechner
2023-10-08 14:47 Andreas Sturmlechner
2023-10-08 14:47 Andreas Sturmlechner
2022-11-05 16:39 Andreas Sturmlechner
2022-09-24 21:24 Andreas Sturmlechner
2022-09-24 17:03 Andreas Sturmlechner
2022-06-20 18:03 Jimi Huotari
2022-06-18 14:27 Andreas Sturmlechner
2022-05-14 21:15 Andreas Sturmlechner
2022-04-27 20:27 Jimi Huotari
2022-03-12 14:08 Andreas Sturmlechner
2022-03-04 9:51 Andreas Sturmlechner
2021-10-21 0:16 Davide Pesavento
2021-10-20 23:49 Davide Pesavento
2021-10-16 23:21 Davide Pesavento
2021-10-03 12:40 Andreas Sturmlechner
2021-09-22 7:19 Andreas Sturmlechner
2021-08-27 11:41 Andreas Sturmlechner
2021-08-20 12:36 Andreas Sturmlechner
2021-04-25 20:53 Andreas Sturmlechner
2020-11-29 21:05 Andreas Sturmlechner
2020-04-16 19:33 Andreas Sturmlechner
2020-04-03 20:03 Andreas Sturmlechner
2020-03-21 17:26 Andreas Sturmlechner
2020-03-18 21:51 Andreas Sturmlechner
2020-03-18 21:51 Andreas Sturmlechner
2020-03-18 21:51 Andreas Sturmlechner
2020-03-18 21:51 Andreas Sturmlechner
2020-02-28 10:15 Andreas Sturmlechner
2020-02-28 10:15 Andreas Sturmlechner
2020-01-22 13:27 Jimi Huotari
2018-12-06 3:47 Andreas Sturmlechner
2018-12-05 22:16 Andreas Sturmlechner
2018-01-26 11:45 Michael Palimaka
2017-09-03 19:53 Andreas Sturmlechner
2017-09-03 0:01 Davide Pesavento
2017-07-23 6:55 Michael Palimaka
2017-06-11 13:28 Michael Palimaka
2016-12-15 10:13 Michael Palimaka
2016-10-28 11:33 Michael Palimaka
2015-10-16 17:17 Michael Palimaka
2015-06-27 14:01 Davide Pesavento
2015-01-18 1:32 Davide Pesavento
2014-09-12 17:05 Davide Pesavento
2014-08-05 0:08 Davide Pesavento
2014-02-20 14:28 Michael Palimaka
2013-08-20 9:21 Davide Pesavento
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1400283736.294785ead65c5debc18335e7f5a381dc4264f25f.pesa@gentoo \
--to=pesa@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox